<?php

use WpBookingEvent\Factory;
use WpBookingEvent\Mvc\Model\Model;
use WpBookingEvent\Utilities\Utility;
use WpBookingEvent\Html\WpBookingEventHtmlBackend as WpBookingEventHtmlBackendAlias;
use WpBookingEvent\Language\Text;
defined('_WPBOOKINGEVENT_EXEC') or die;
extract($displayData);
WpBookingEventHtmlBackendAlias::load_jquery_library('select2');
$id_by_name = "element_field_". $name;
$data = $displayData['field']->getForm()->getData();
$modelEventTypes = Model::getInstance('eventtypes');
$list = $modelEventTypes->getList();
$list_event_type_id = [];
if (!is_array($value)) {
    $list_event_type_id[] = $value;
} else {
    $list_event_type_id = $value;
}
?>
    <div id="<?php esc_html_e($id_by_name) ?>" class="<?php esc_html_e($class); ?> field-event-type">
        <select name="<?php esc_html_e($name); ?>" <?php echo($multiple ? ' multiple ' : ''); ?>
                class="list-event-type">
            <option value=""><?php esc_attr_e('Select event type','wpbookingevent'); ?></option>
            <?php foreach ($list as $item) { ?>
                <option <?php echo(in_array($item->id, $list_event_type_id) ? ' selected ' : ''); ?>
                        value="<?php esc_html_e($item->id); ?>"><?php esc_html_e($item->name); ?></option>
            <?php } ?>
        </select>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addLessStyleSheet('admin/app/layouts/WooBooking/form/field/eventtype/eventtype.less');
$doc->addScriptApplySelector('.field-event-type','field_event_type',array(
),'admin/app/layouts/WooBooking/form/field/eventtype/eventtype.js');